View Issue Details

IDProjectCategoryView StatusLast Update
0000078Infinitode 2[All Projects] Infinitode 2public2021-04-08 11:19
ReporterAnonymousAssigned To 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformMobileOSAndroidOS VersionAny
Product Version 
Target VersionFixed in Version1.6.0 
Summary0000078: Unable to load all frames when continuing
Description

This is reproduced on Level 5.5. A previous game was run through 120k frames. When continued, the frames loaded to the 93kth frames and started to lag, with a gradual decrease in the rate of frame loading, until it completely freezes (before passing the 100kth frame). Killing the game would cause the total numbers of frames to drop when trying to continue the game again, meaning progress loss.

The current workaround is to play non-stop until a game ends, which is not practical.

Steps To Reproduce

Play Level 5.5 past the 100k frame, then quit the game and has the progress saved. Then restart the game and it would happen when those frames are rerun.

Additional Information

Phone RAM and storage space are not exhausted yet. Phone is Samsung Note 9.

TagsNo tags attached.
Attach Tags

Relationships

has duplicate 0000100 closedtherainycat Unable to load game 
has duplicate 0000132 closedtherainycat Не загружается сохранённая игра. 
has duplicate 0000187 closedtherainycat Unable to load all frames when continuing 

Activities

Anonymous

Anonymous

2019-09-19 01:55

reporter   ~0000061

Having this same issue on custom games. Would load to around 140k frames but nowhere near the 220k. Reverted save to around 15k frames after crash erasing progress.

therainycat

therainycat

2019-09-19 22:51

administrator   ~0000063

Seems like high memory usage, can you please turn on debug mode and send a screenshot of the moment when game is about to freeze completely?

Anonymous

Anonymous

2019-09-24 17:16

reporter  

Anonymous

Anonymous

2019-09-24 17:16

reporter   ~0000088

Same bug here, loader freezes,

See screenshot attached

Anonymous

Anonymous

2019-10-13 21:30

reporter   ~0000125

Same issue, stage 5.7, over 130 wave, loading the game file crashes always at frame 74275 / 250739.

Anonymous

Anonymous

2019-10-15 00:42

reporter   ~0000126

The same on level 5.7 after 148 wave. Frames loading slowing down after 150k frsmes, then hangs, then crashes.

Issue History

Date Modified Username Field Change
2019-09-16 04:43 Anonymous New Issue
2019-09-16 04:43 Anonymous Status new => assigned
2019-09-16 04:43 Anonymous Assigned To => therainycat
2019-09-16 04:43 Anonymous Tag Attached: Crash
2019-09-19 01:55 Anonymous Note Added: 0000061
2019-09-19 22:51 therainycat Note Added: 0000063
2019-09-22 21:22 therainycat Status assigned => feedback
2019-09-24 00:55 therainycat Relationship added has duplicate 0000100
2019-09-24 17:16 Anonymous File Added: Screenshot_20190924-161453.png
2019-09-24 17:17 Anonymous Note Added: 0000088
2019-09-24 17:17 Anonymous Status feedback => assigned
2019-10-04 22:21 therainycat Relationship added has duplicate 0000132
2019-10-13 21:30 Anonymous Note Added: 0000125
2019-10-15 00:42 Anonymous Note Added: 0000126
2019-10-16 18:27 Anonymous Issue cloned: 0000187
2019-12-12 15:17 therainycat Relationship added has duplicate 0000187
2019-12-12 15:17 therainycat Status assigned => resolved
2019-12-12 15:17 therainycat Resolution open => fixed
2019-12-12 15:17 therainycat Fixed in Version => 1.6.0
2020-10-01 16:41 administrator Assigned To therainycat =>
2020-10-01 16:41 administrator Status resolved => closed
2021-04-08 11:19 Anonymous Tag Detached: Crash